=== debian/changelog ===
ros-humble-cv-bridge (3.2.1-1jammy) jammy; urgency=high

  * silence dperecation warnings using boost macros (#492 <https://github.com/ros-perception/vision_opencv/issues/492>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 15:00:00 -0000

ros-humble-cv-bridge (3.2.0-1jammy) jammy; urgency=high

  * Add apache license and bsd license, because both are used. (#483 <https://github.com/ros-perception/vision_opencv/issues/483>)
  * Fix 16U encoding type (#463 <https://github.com/ros-perception/vision_opencv/issues/463>)
  * Reorganize author tag (#469 <https://github.com/ros-perception/vision_opencv/issues/469>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Fix ModuleNotFoundError: No module named 'cv_bridge' error (#444 <https://github.com/ros-perception/vision_opencv/issues/444>)
  * Make python3-opencv from test_depend to depend tag in package.xml (#439 <https://github.com/ros-perception/vision_opencv/issues/439>)
  * Contributors: Daisuke Nishimatsu, Kenji Brameld, RachelRen05

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 15:00:00 -0000

ros-humble-cv-bridge (3.0.3-1jammy) jammy; urgency=high

  * Add missing dependency on rcpputils (#427 <https://github.com/ros-perception/vision_opencv/issues/427>)
  * Contributors: Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 31 Mar 2022 15:00:00 -0000

ros-humble-cv-bridge (3.0.2-1jammy) jammy; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 26 Jan 2022 15:00:00 -0000

ros-humble-cv-bridge (3.0.1-1jammy) jammy; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 24 Jan 2022 15:00:00 -0000

ros-humble-cv-bridge (3.0.0-1jammy) jammy; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 18 Jan 2022 15:00:00 -0000

ros-humble-cv-bridge (2.2.1-1jammy) jammy; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 15 Jul 2020 15:00:00 -0000

ros-humble-cv-bridge (2.2.0-1jammy) jammy; urgency=high

  * Disable portable image tests (#337 <https://github.com/ros-perception/vision_opencv/issues/337>)
  * use more specific boost rosdep keys (#319 <https://github.com/ros-perception/vision_opencv/issues/319>)
  * add opencv4 into the dependency list for ROS2 (#324 <https://github.com/ros-perception/vision_opencv/issues/324>)
  * Corrected the typo of Boost_INCLUDE_DIRS (#315 <https://github.com/ros-perception/vision_opencv/issues/315>)
  * use target include directories (#313 <https://github.com/ros-perception/vision_opencv/issues/313>)
  * Contributors: Karsten Knese, Lewis Liu, Michael Carroll, Mikael Arguedas, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 26 May 2020 15:00:00 -0000

ros-humble-cv-bridge (2.1.3-1jammy) jammy; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 22 Oct 2019 15:00:00 -0000

ros-humble-cv-bridge (2.1.2-1jammy) jammy; urgency=high

  * Suppress Boost Python warning. (#279 <https://github.com/ros-perception/vision_opencv/issues/279>)
  * silence unused return value warnings (#276 <https://github.com/ros-perception/vision_opencv/issues/276>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 29 May 2019 15:00:00 -0000

ros-humble-cv-bridge (2.1.1-1jammy) jammy; urgency=high

  * Replace ament commands with colcon (#263 <https://github.com/ros-perception/vision_opencv/issues/263>)
    Latest ros2 repo does not include ament_tools. Executing ament command results in error.
  * Contributors: Lalit Begani


