=== debian/control ===
Source: ros-humble-cv-bridge
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-python-dev, libopencv-dev, python3-numpy, python3-opencv, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-python-cmake-module, ros-humble-rcpputils, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-humble-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python1.74.0, libopencv-dev, python3-numpy, python3-opencv, ros-humble-ament-index-python, ros-humble-rcpputils, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.
